/*
 * Sonar, open source software quality management tool.
 * Copyright (C) 2010 SQLi
 * mailto:contact AT sonarsource DOT com
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */

package org.sonar.plugins.php.core.decorators;

import org.sonar.api.batch.AbstractFilesDecorator;
import org.sonar.plugins.php.core.Php;

/**
 * The PhpFilesDecorator extends AbstractFilesDecorator to allow the use of the php language. It will only run on PHP project.
 */
public class PhpFilesDecorator extends AbstractFilesDecorator {

  /**
   * Instantiates a new php files decorator.
   * 
   * @param php
   *          the php
   */
  public PhpFilesDecorator(Php php) {
    super(php);
  }
}
